Jump to content

Beamdog v2.6 Causing Issues - CLOSED


Recommended Posts

Good day everyone,

I did some digging into some of the issues that Beamdog's v2.6 patch is causing with the Ascension install. Namely, I identified two areas that are causing the issue: 

  • Creating Taint of the Slayer (melsp107.spl) from Greater Malison
  • Giving Balor's a clone of Cleric Aura of Flaming Death

I'm assuming that v2.6 changed both Greater Malison and Aura of Flaming Death, so Ascension attempting to clone and alter them is being misaligned or some such. Hoping someone with more knowledge of these can take a look at it and see what is going on.

Updated to add: my hotfix for Ascension was implemented in the Ascension v2.0.16 release, so the mod should be Beamdog patch v2.6 compatible now. @AL|EN provided the updated Ascension files here: https://www.gibberlings3.net/forums/topic/31434-ascension-2014-out-report-bugs-here/page/4/#comments

Thank you!

Edited by morpheus562
Link to post

@morpheus562: I am seeing the same as you (presumably), as I get two warnings in the debug file:

WARNING: no effects altered on SPPR730.spl
WARNING: no effects added to SPWI412.spl

SPPR730 is aura of flaming death and SPWI412 is greater malison. But this may well completely harmless, as the only thing that is happening is that SCS is not patching the spells.

Link to post
Posted (edited)

Okay, so got this working without any install warnings. 

To get SPWI412.spl working correctly, I removed the following line of code:

// LPF CLONE_EFFECT STR_VAR match_resource=magres resource=wonder END // extra graphical overlay on target

To get SPPR730.spl working, I removed 318 from the list of opcodes being matched, since patch v2.6 seemed to remove it:

PATCH_FOR_EACH match_opcode IN 30 84 142 174 0 120 328 233 BEGIN // get rid of all Aura of FD effects except the cosmetics and cast-on-condition
       LPF DELETE_EFFECT INT_VAR match_opcode END
END

I also modified this from altering opcode 232 to adding it since opcode 232 seems to have been removed from the spell in patch v2.6

LPF ADD_SPELL_EFFECT INT_VAR opcode=232 STR_VAR resource=balaura END  // patch in new payload

To install, add the files within the attachment to the Ascension\ascensionmain before running setup-Ascension. I have not had an opportunity to playtest these, but it will get you going without errors.

Ascension.rar

Edited by morpheus562
Link to post
1 hour ago, morpheus562 said:

To get SPPR730.spl working, I removed 318 from the list of opcodes being matched, since patch v2.6 seemed to remove it:

That's very odd - even if the new version of the spell has no op318 effect, running a DELETE_EFFECT command with a non-matching match_opcode should be entirely harmless.

1 hour ago, morpheus562 said:

I also modified this from altering opcode 232 to adding it since opcode 232 seems to have been removed from patch v2.6

That seems unlikely...

Link to post
Posted (edited)
10 minutes ago, subtledoctor said:

That's very odd - even if the new version of the spell has no op318 effect, running a DELETE_EFFECT command with a non-matching match_opcode should be entirely harmless.

That seems unlikely...

@subtledoctor I think you are probably correct with the DELETE_EFFECT command. I did both at the same time and it worked. Since op318 is already not part of the spell, I figure it is harmless to keep it from being deleted.

For opcode 232 not being present, I don't know what to say. I went into the spell using near infinity on a clean install and it wasn't present. Altering the code as shown above did allow it to run successfully which shows there was an issue with match_opcode=232. 

Edited by morpheus562
Link to post
9 minutes ago, morpheus562 said:

For opcode 232 not being present, I don't know what to say. I went into the spell using near infinity on a clean install and it wasn't present.

Oh, you meant they removed an op232 effect from that one spell. I read your post as saying they had made a more fundamental change and remove the opcode itself. Dur, my bad, of course you are right.

Though there too, when ALTER_EFFECT points to a conditions that are not met, it simply doesn't do anything. In fact that function can be a cheap way to check for matching conditions.

Edited by subtledoctor
Link to post

For taking over 2+ years to release patch v2.6, I was a little underwhelmed by what was actually delivered. I'm intrigued to see all that was changed within splprot.2da and see more of what was actually updated.

Link to post
3 hours ago, morpheus562 said:

I'm intrigued to see all that was changed within splprot.2da

Looks like they mostly changed the descriptors in the leftmost column. Like, replacing “STATE” with “138_STATEBITS=N.” Is that really any better? Worth breaking things for? It is of zero benefit for actual functionality, only minor benefit for usability/readability (if even), and of course breaks any mod that looks for that row number by checking whether the label is “STATE” (like several of my mods, natch.)

Yeah, fair to say I am extremely underwhelmed by this patch... :mad:

Edited by subtledoctor
Link to post
Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...